Subject: bug#60780: closed (Re: bug#60780: [PATCH] eglot.texi: Fix a command name)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Jan 2023 13:27:02 +0000

Your bug report

#60780: [PATCH] eglot.texi: Fix a command name

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60780: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60780
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60780: [PATCH] eglot.texi: Fix a command name
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Jan 2023 15:26:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Date: Fri, 13 Jan 2023 13:40:25 +0100
> 
> Hi all,
> 
> I think there is a typo in eglot.texi under @node Troubleshooting Eglot:
> It talks about
> 
>   @kbd{M-x eglot-events-server}
> 
> which should read
> 
>   @kbd{M-x eglot-events-buffer}
> 
> Hence the following patch:

Thanks, installed.

Subject: [PATCH] eglot.texi: Fix a command name
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Fri, 13 Jan 2023 13:40:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I think there is a typo in eglot.texi under @node Troubleshooting Eglot:
It talks about

  @kbd{M-x eglot-events-server}

which should read

  @kbd{M-x eglot-events-buffer}

Hence the following patch:

--8<---------------cut here---------------start------------->8---
diff --git a/doc/misc/eglot.texi b/doc/misc/eglot.texi
index 253bf169ccb..56151b5482f 100644
--- a/doc/misc/eglot.texi
+++ b/doc/misc/eglot.texi
@@ -1104,7 +1104,7 @@ Troubleshooting Eglot
 reporting Eglot bugs in a way that facilitates their resolution.

 When you encounter problems with Eglot, try first using the commands
-@kbd{M-x eglot-events-server} and @kbd{M-x eglot-stderr-buffer}.  They
+@kbd{M-x eglot-events-buffer} and @kbd{M-x eglot-stderr-buffer}.  They
 pop up special buffers that can be used to inspect the communications
 between the Eglot and language server.  In many cases, this will
 indicate the problems or at least provide a hint.
--8<---------------cut here---------------end--------------->8---

Please give me a hint if I should install it or feel free to do it
yourself.

Best, Arash